\ProvidesPackage{generalstyles}

%remove blank page after title page
\usepackage{etoolbox}
\makeatletter
\patchcmd{\@maketitle}{\newpage}{}{}{}
\makeatother



%customize section numbering
\renewcommand{\thesection}{\thechapter.\arabic{section}}

%end of lecture counter
\newcounter{lecture}
\addtocounter{lecture}{1}
\usepackage{xhfill}
\newcommand{\textline}[1]{\noindent\xrfill[0.7ex]{0.4pt} #1\xrfill[0.7ex]{0.4pt}}
\newcommand{\boxline}[1]{\textline{\fbox{#1}}}
\newcommand{\lec}{\vspace{.2cm}\boxline{\small{\textcolor{red}{End of Lecture \arabic{lecture}}}}\stepcounter{lecture}\par }

\newcommand{\finalend}{\vspace{.2cm}\boxline{\small{\textcolor{purple}{\textbf{End of Algebra 1}}}}\par }


%dots in table of contents
\makeatletter
\renewcommand{\tocsection}[3]{%
  \indentlabel{\@ifnotempty{#2}{\ignorespaces#1 #2.\quad}}#3\dotfill%
}
\makeatother


%for enumerate
\usepackage{enumitem}
\setlist[enumerate]{topsep=-.5em,after=\vspace{\baselineskip},label=\normalfont \roman*)}

%for marked comments
\usepackage{xcolor}
\newcommand{\coms}{\color{purple}}%comment - start
\newcommand{\come}{\color{black}}%comment - end
\newcommand{\tos}{\color{red}}


%for blank page
\def\blankpage{%
      \clearpage%
      \thispagestyle{empty}%
      \addtocounter{page}{-1}%
      \null%
      \clearpage}
